# Gatsby Theme ThePuzzlers Core

The foundation theme for ThePuzzlers.


## Getting Started

1. **Install the gatsby theme**
```sh
    $ yarn add gatsby-theme-thepuzzlers-core
```

2. **Add to list of plugins in the gatsby-config file**

```js
    module.exports = {
        plugins: ['gatsby-theme-thepuzzlers-core']
    }
```


<br/>

## Theme Options

| Option     | Value  | Description                                                                    | Required |
| ---------- | ------ | ------------------------------------------------------------------------------ | -------- |
| assetsPath | String | Default path is "src/assets", determines where the page assets like images are | No       |

<br/>

## What's Included

### Gatsby Pieces

- **SEO**

- **GatsbyLink**

- **GatsbyImage**

- **NavigationLink**

### Custom Hooks

- **useSiteMetadata**

- **useLocalizePath**

<br/>

## How To Customize For Your Own Use

### How To Extend Theme

Inside src/gatsby-plugin-theme-ui/index.js

```sh
import { merge } from 'theme-ui';
import { BaseTheme } from 'gatsby-theme-thepuzzlers-core';

const theme = merge(BaseTheme, {
 // Site theme here
});

export default theme;
```

### How To Change The Favicon & Thumbnail

- Move your favicon file, inside your **assetsPath** named **favicon.png**
- Move your thumbnail file, inside your **assetsPath** named **thumbnail.png**
