import React from 'react';
import PropTypes from 'prop-types';
import { GatsbyImage as Image, getImage } from 'gatsby-plugin-image';

import { Box } from '@thepuzzlers/pieces';

// # Deprecated
// We might not need this component anymore
export const GatsbyImage = ({ sx, alt, image, loading, ...props }) => (
  <Box sx={sx} {...props}>
    <Image
      alt={alt}
      image={getImage(image)}
      imgStyle={{
        width: '100%',
        height: '100%',
        objectFit: 'contain'
      }}
      loading={loading}
      objectFit="contain"
      // IE polyfill
      style={{
        height: '100%',
        width: '100%',
        alignSelf: 'center',
        borderRadius: 'inherit'
      }}
    />
  </Box>
);

GatsbyImage.propTypes = {
  alt: PropTypes.string,
  image: PropTypes.shape({
    childImageSharp: PropTypes.shape().isRequired
  }).isRequired,
  loading: PropTypes.string,
  sx: PropTypes.shape
};

GatsbyImage.defaultProps = {
  sx: {},
  alt: '',
  loading: 'lazy'
};
